#include <stdio.h>
#include <math.h>


int main(void) {

   while (1) {
      int x, y;
      scanf ("%d %d", &x, &y);
      if (x == 0 && y == 0) return 0;
      printf ("%s\n", (x>y?"YES":"NO"));
   }
   return 0;
}

/*
 * Local Variables:
 * compile-command: "gcc great.c -lm -o great"
 * End:
 */
